//////////////////////////////////////////
// Glut_BCC.cpp
//Copyright (c) 10/25/2021 by BCCSkelton
//////////////////////////////////////////
#include	"Glut_BCC.h"
#include	"Glut_CBFunc.h"	//GLUT外部コールバック関数ヘッダー
#include	"Glut_BCCProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI WinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPSTR lpCmdLine, int nCmdShow) {

	//２重起動防止
	if(!Glut_BCC.IsOnlyOne()) {
		//ここに２重起動時の処理を書く（下記は１例）
		HWND hWnd = FindWindow("MainWnd", "Glut_BCC");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//モードレスダイアログを作成Create(hParent, DlgName, DlgProc);
	if(!Glut_BCC.Create(NULL, hInstance, "IDD_GLUT", ModelessProc))
		return 0L;

	//メッセージループに入る
	return Glut_BCC.Loop();
}
